/*
 * DSBDirect
 * Copyright (C) 2019 Fynn Godau
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * This software is not affiliated with heinekingmedia GmbH, the
 * developer of the DSB platform.
 */

allprojects {
    repositories {
        jcenter()
        google()
        maven { url 'https://jitpack.io' }
    }
}

buildscript {
    repositories {
        jcenter()
        google()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.6.0-beta03'
    }
}

apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'

android {
    compileSdkVersion 28
    defaultConfig {
        applicationId "godau.fynn.dsbdirect"
        minSdkVersion 14
        targetSdkVersion 28
        versionCode 35
        versionName "3.0.1"
        vectorDrawables.useSupportLibrary = true
    }
    buildTypes {
        debug {
            versionNameSuffix " debug"
        }
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    flavorDimensions "store"
    productFlavors {
        fdroid {
            dimension "store"
        }
        notabug {
            versionNameSuffix " notabug"
            dimension "store"
        }
        play {
            applicationId "ga.testapp.dsbdirect"

            versionNameSuffix " play"
            dimension "store"
        }
    }


}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.0.0'
    implementation 'com.wefika:horizontal-picker:1.1.1'
    implementation 'org.jsoup:jsoup:1.12.1'
    implementation 'com.github.mfornos:humanize-slim:1.2.2'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.vectordrawable:vectordrawable:1.1.0'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.github.MikeOrtiz:TouchImageView:1.4.0'
    implementation 'org.sufficientlysecure:html-textview:3.6'
    implementation 'com.github.DASAR:ShiftColorPicker:v0.5'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'com.squareup.picasso:picasso:2.71828'
    implementation 'androidx.fragment:fragment:1.2.0'
    implementation 'com.google.android.material:material:1.0.0'
    implementation 'org.codeberg.fynngodau:librariesDirect:1.0'
    implementation 'org.conscrypt:conscrypt-android:2.4.0'
}
